package net.peachjean.slf4j.mojo;

import org.slf4j.ILoggerFactory;
import org.slf4j.Logger;

public class MojoLoggerFactory implements ILoggerFactory
{
	private static final MojoLoggerFactory INSTANCE = new MojoLoggerFactory();

	public static MojoLoggerFactory getInstance() {
		return INSTANCE;
	}

	@Override
	public Logger getLogger(final String loggerName)
	{
		return new MojoLoggerAdapter(loggerName);
	}
}
